CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

工作区路径属性 (ActiveX)

2023-1-3 01:00| 发布者: admin| 查看: 197| 评论: 0|来自: AutoCAD

摘要: 指定数据库工作区文件的路径。

指定数据库工作区文件的路径。

支持的平台:仅窗口

签名

工 务 局:

object.WorkspacePath
对象

类型:首选项文件

此属性适用的对象。

属性值

只读:

类型:字符串

数据库工作区文件的驱动器、路径和文件名。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_WorkspacePath()
    ' This example reads and modifies the preference value that controls
    ' the path for the database workspace file.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadPreferencesFiles
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the files preferences object
    Set ACADPref = ThisDrawing.Application.preferences.Files
    
    ' Read and display the original value
    originalValue = ACADPref.WorkspacePath
    MsgBox "The WorkspacePath preference is set to: " & originalValue

    ' Modify the WorkspacePath preference by changing the path to "C:\"
    ACADPref.WorkspacePath = "C:\"
    newValue = ACADPref.WorkspacePath
    MsgBox "The WorkspacePath preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.WorkspacePath = originalValue
    MsgBox "The WorkspacePath preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_WorkspacePath()
    ;; This example reads and modifies the preference value that controls
    ;; the path for the database workspace file.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
  
    ;; Get the files preferences object
    (setq ACADPref (vla-get-Files (vla-get-Preferences acadObj)))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-WorkspacePath ACADPref))
    (alert (strcat "The WorkspacePath preference is set to: " originalValue))

    ;; Modify the WorkspacePath preference by changing the path to "C:\\"
    (vla-put-WorkspacePath ACADPref "C:\\")
    (alert (strcat "The WorkspacePath preference has been set to: " (vla-get-WorkspacePath ACADPref)))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-WorkspacePath ACADPref originalValue)
    (alert (strcat "The WorkspacePath preference was reset back to: " (vla-get-WorkspacePath ACADPref)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 14:00

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部